<?php

/**
 * mo_viaebay__order_overview
 * 
 * add via ebay functionality to order_overview
 * 
 * @version   $Id: mo_viaebay__order_overview.php 213 2013-03-15 11:29:15Z $
 */

/**
 * add via ebay functionality to order_overview
 * 
 * @package   mo_viaebay
 * @extend order_overview  
 */
class mo_viaebay__order_overview extends mo_viaebay__order_overview_parent
{

  /**
   * notify 
   * 
   * @extend sendorder
   */
  public function sendorder()
  {
    parent::sendorder();

    $order = oxNew("oxorder");
    if ($order->load($this->getEditObjectId()))
    {
      $this->mo_viaebay__reportShipment($order);
    }
  }

  /**
   * report shipment
   *
   * @param oxOrder $order
   * @return mixed 
   */
  protected function mo_viaebay__reportShipment(oxOrder $order)
  {
    if (!$order->mo_viaebay__isViaEbayOrder())
    {
      return;
    }

    $order->mo_viaebay__reportShipment();
  }

}