<?php

/**
 * mo_viaebay__order_viaebay
 * 
 * Provides some via eBay-specific functionality
 * 
 * @version   $Id: mo_viaebay__order_viaebay.php 217 2013-04-29 10:02:57Z $
 */

/**
 * Provides some via eBay-specific functionality
 * 
 * @package   mo_viaebay
 * @extend oxAdminDetails 
 */
class mo_viaebay__order_viaebay extends oxAdminDetails
{

  /**
   * set tpl vars
   * @extend render
   * @return string 
   */
  public function render()
  {
    parent::render();

    return 'mo_viaebay__order_viaebay.tpl';
  }

  /**
   * load order
   * 
   * @return object
   */
  public function mo_viaebay__getEditObject()
  {
    $soxId = $this->getEditObjectId();
    $this->_oEditObject = oxNew("oxorder");

    if (!empty($soxId) && $soxId != "-1")
    {
      $this->_oEditObject->load($soxId);
    }
    return $this->_oEditObject;
  }

  /**
   * get edit language
   *
   * @return integer 
   */
  public function mo_viaebay__getEditLanguage()
  {
    return $this->_iEditLang;
  }
  
      /**
     * Saves Carrier of the order
     *
     * @return mixed
     */
    public function save()
    {
        $oOrder = $this->mo_viaebay__getEditObject();
        $aParams = oxRegistry::getConfig()->getRequestParameter("editval");
        $details = $oOrder->mo_viaebay__getOrderDetails();
        $details['ShippingService'] = $aParams['carrier'];
        $oOrder->mo_viaebay__saveOrderDetails($details);
    }
}