<?php

/**
 * mo_viaebay__reference
 * 
 * view for ajax assignments
 * 
 * @version   $Id: mo_viaebay__reference.php 217 2013-04-29 10:02:57Z $
 */

/**
 * view for ajax assignments
 * 
 * @package   mo_viaebay
 * @extend oxAdminDetails 
 */
class mo_viaebay__reference extends oxAdminDetails
{

  /**
   * set reference type from parameter
   * 
   * @extend init
   */
  public function init()
  {
    parent::init();

    $settings = mo_viaebay__main::getInstance()->getViaebayReference();
    $type     = oxRegistry::getConfig()->getRequestParameter('mo_viaebay__reference__type');

    $this->mo_viaebay__reference__settings = $settings[$type];
  }

  /**
   * render view
   *
   * @extend render
   * @return string 
   */
  public function render()
  {
    parent::render();

    return "mo_viaebay__reference.tpl";
  }

  /**
   * get coloumns parameters
   *
   * @return array 
   */
  protected function mo_viaebay__reference__getColumnsParam()
  {
    return array(
        'container1' => array(// field , table,  visible, multilanguage, ident
            array($this->mo_viaebay__reference__settings['display_column'], $this->mo_viaebay__reference__settings['table'], 1, 0, 0),
            array('oxid', $this->mo_viaebay__reference__settings['table'], 0, 0, 0),
            array('oxid', $this->mo_viaebay__reference__settings['table'], 0, 0, 1),
        ),
        'container2' => array(
            array($this->mo_viaebay__reference__settings['display_column'], $this->mo_viaebay__reference__settings['table'], 1, 0, 0),
            array('oxid', $this->mo_viaebay__reference__settings['table'], 0, 0, 0),
            array('oxid', $this->mo_viaebay__reference__settings['ref_table'], 0, 0, 1),
        )
    );
  }

  /**
   * get reference settings
   *
   * @return array 
   */
  public function mo_viaebay__getRefenceSettings()
  {
    return $this->mo_viaebay__reference__settings;
  }

  /**
   * get columns parameters
   *
   * @return array 
   */
  public function mo_viaebay__getOxAjax()
  {
    return $this->mo_viaebay__reference__getColumnsParam();
  }

}