<?php

/**
 * mo_viaebay__oxorderarticle
 * 
 * $Id: mo_viaebay__oxorderarticle.php 212 2013-03-15 11:19:03Z $
 */

/**
 * add via ebay functionality to oxorderarticle
 * 
 * @package   mo_viaebay
 * @extend oxorderarticle
 */
class mo_viaebay__oxorderarticle extends mo_viaebay__oxorderarticle_parent
{

  /**
   * prevent copy of article's VIA-ID to orderarticle in standard OXID context
   * 
   * @extend copyThis
   * @param oxarticle $oProduct 
   */
  public function copyThis($oProduct)
  {
    parent::copyThis($oProduct);

    if (!defined('MO_VIAEBAY__IS_SCRIPT_CONTEXT'))
    {
      $this->oxorderarticles__mo_viaebay__via_id = new oxField(null);
    }
  }

}