<?php

/**
 * mo_viaebay__sync_all
 * 
 * script that starts sync for all tasks with via api
 * 
 * @package   mo_viaebay
 * @version   $Id: mo_viaebay__sync_all.php 137 2012-12-07 17:09:35Z $ 
 */

include_once dirname(__FILE__) . '/bootstrap.php';

$wrapper     = mo_viaebay__main::getInstance();
$taskManager = $wrapper->getTaskManager();

foreach ($wrapper->getTasks() as $task => $value)
{
  if ($taskManager->isTaskToBeExecuted($task))
  {
    mo_viaebay__executeTask($task);
  }
}

/**
 * execute specified task
 *
 * @param string $task 
 */
function mo_viaebay__executeTask($task)
{
  include(dirname(__FILE__) . '/mo_viaebay__' . $task . '.php');
}