[{include file="headitem.tpl" title="MO_VIAEBAY__STATUS"|oxmultilangassign}]

[{assign var="mo_viaebay__config" value=$oView->mo_viaebay__getConfig()}]
[{assign var="mo_viaebay__tasks" value=$oView->mo_viaebay__getTasks()}]
[{assign var="logfiles" value=$oView->mo_viaebay__getLogFiles()}]
[{assign var="logfile" value=$oView->mo_viaebay__getActiveLogfile()}]

<table cellspacing="0" cellpadding="0" border="0" width="98%">
    <tbody>
        <tr>
            <td class="edittext" valign="top">
                <table cellspacing="0" cellpadding="0" border="0" style="width:100%;background: none repeat scroll 0 0 #EEEEEE;
                       border: 1px solid #DDDDDD;
                       border-radius: 3px 3px 3px 3px;">

                    <tr>
                        <td valign="top" class="edittext" width="250" colspan="2" nowrap=""><h3>[{ oxmultilang ident="MO_VIAEBAY__STATUS_TITLE" }]</h3></td>
                    </tr>
                    [{foreach from=$mo_viaebay__tasks item=desc key=task}]
                    <tr>
                        <td valign="top" class="edittext" width="250" nowrap="">[{ oxmultilang ident="MO_VIAEBAY__SYNC_DATE" }] [{$desc}]</td>
                        <td valign="top" class="edittext">
                            [{if $mo_viaebay__config.tasks[$task].last_execution}]
                            [{$mo_viaebay__config.tasks[$task].last_execution|date_format:'%Y-%m-%d %H:%M:%S'}]
                            [{else}]
                            [{oxmultilang ident="MO_VIAEBAY__NO_SYNC_DATE"}]
                            [{/if}]
                            [{ oxinputhelp ident="MO_VIAEBAY__SYNC_DATE_HELP" }]
                        </td>
                    </tr>
                    [{/foreach}]
                </table>
            </td>
        </tr>
    </tbody>
</table>


<table cellspacing="0" cellpadding="0" border="0" width="98%">
    <tbody>
        <tr>
            <td class="edittext" valign="top">
                <table cellspacing="0" cellpadding="0" border="0" style="width:100%;background: none repeat scroll 0 0 #EEEEEE;
                       border: 1px solid #DDDDDD;
                       border-radius: 3px 3px 3px 3px;">
                    <form name="myedit" id="myedit" action="[{$oViewConf->getSelfLink()}]" method="post">
                        <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
                        <input type="hidden" name="fnc" value="save">
                        [{$oViewConf->getHiddenSid()}]
                    <tr>
                        <td valign="top" class="edittext" width="250" colspan="2" nowrap=""><h3>[{ oxmultilang ident="MO_VIAEBAY__LOGGING" }]</h3></td>
                    </tr>
                    
                    <tr>
                        <td valign="top" class="edittext" width="250" nowrap="">[{ oxmultilang ident="MO_VIAEBAY__LOGSEARCH" }]</td>
                        <td valign="top" class="edittext"><input type="text" name="mo_viaebay__config[logsearch]" value="[{$mo_viaebay__config.logsearch}]" /></td>
                    </tr>
                    
                    <tr>
                        <td valign="top" class="edittext" width="250" nowrap="">[{ oxmultilang ident="MO_VIAEBAY__LOGLEVEL" }]</td>
                        <td valign="top" class="edittext">
                            <select name="mo_viaebay__config[loglevel]" onchange="this.form.submit();">
                                <option value="0" [{if $mo_viaebay__config.loglevel == 0}]selected="selected"[{/if}]>DEBUG</option>
                                <option value="1" [{if $mo_viaebay__config.loglevel == 1}]selected="selected"[{/if}]>INFO</option>
                                <option value="2" [{if $mo_viaebay__config.loglevel == 2}]selected="selected"[{/if}]>ERROR</option>
                            </select>
                        </td>
                    </tr>
                    
                    <tr>
                        <td valign="top" class="edittext" width="250" nowrap="">[{ oxmultilang ident="MO_VIAEBAY__LOGDATE" }]</td>
                        <td valign="top" class="edittext">
                            <select name="mo_viaebay__config[logdate]" onchange="this.form.submit();">
                                <option value="0" [{if $mo_viaebay__config.logdate == 0}]selected="selected"[{/if}]>[{ oxmultilang ident="MO_VIAEBAY__LOGDATE_DAY" }]</option>
                                <option value="1" [{if $mo_viaebay__config.logdate == 1}]selected="selected"[{/if}]>[{ oxmultilang ident="MO_VIAEBAY__LOGDATE_WEEK" }]</option>
                                <option value="2" [{if $mo_viaebay__config.logdate == 2}]selected="selected"[{/if}]>[{ oxmultilang ident="MO_VIAEBAY__LOGDATE_MONTH" }]</option>
                            </select>
                        </td>
                    </tr>
                    
                    <tr>
                        <td valign="top" class="edittext" width="250" nowrap="">[{ oxmultilang ident="MO_VIAEBAY__LOG_LONG" }]</td>
                        <td valign="top" class="edittext">
                            <input type="hidden" name="mo_viaebay__config[loglong]" value="0" />
                            <input type="checkbox" name="mo_viaebay__config[loglong]" value="1" onclick="this.form.submit();" [{if $mo_viaebay__config.loglong}]checked="checked"[{/if}] />
                        </td>
                    </tr>
                    
                    <tr>
                        <td colspan="2"><input type="submit" value="[{oxmultilang ident="MO_VIAEBAY__LOGFILTER_SUBMIT"}]" style="display:none;" /></td>
                    </tr>
                    
                    </form>

                    [{if $logfile}]
                    <tr>
                        <td colspan="2">
                            <table style="border: 1px solid; border-collapse: collapse; margin: 10px 20px; background-color: #FFF;">
                                <thead>
                                    <tr>
                                        <th>Date</th>
                                        <th>Level</th>
                                        <th>Message</th>
                                    </tr>
                                </thead>
                                [{foreach from=$logfile item="line" key="key"}]
                                <tr>
                                    <td style="border: 1px solid; padding: 3px 5px;">[{$line.date}]</td>
                                    <td style="border: 1px solid; padding: 3px 5px;">[{$line.level}]</td>
                                    <td style="border: 1px solid; padding: 3px 5px;">
                                        <input id="helpBtn_MO_VIAEBAY__LOG_ENTRY_[{$key}]" class="btnShowHelpPanel" onclick="YAHOO.oxid.help.showPanel('MO_VIAEBAY__LOG_ENTRY_[{$key}]'); moStylePopup();" type="button" style="float: left;" />
                                        <div id="helpText_MO_VIAEBAY__LOG_ENTRY_[{$key}]" style="height: 15px; max-width: 800px; overflow: hidden;">[{$line.message}]</div>
                                    </td>
                                </tr>
                                [{/foreach}]
                            </table>
                        </td>
                    </tr>
                    [{else}]
                    <tr>
                        <td valign="top" class="edittext" colspan="2"><strong>[{oxmultilang ident="MO_VIAEBAY__LOG_EMPTY"}]</strong></td>
                    </tr>
                    [{/if}]

                    <tr>
                        <td valign="top" class="edittext" width="250" nowrap="">
                            [{ oxmultilang ident="MO_VIAEBAY__LOG_ARCHIVE" }]
                            [{ oxinputhelp ident="MO_VIAEBAY__LOG_ARCHIVE_HELP" }]
                        </td>
                        <td>
                            <ul>
                                [{foreach from=$logfiles item=logfile}]
                                <li><a href="[{$oViewConf->getSelfLink()}]cl=mo_viaebay__status&fnc=mo_viaebay__download&filename=[{$logfile.filename}]">[{$logfile.filename}]</a></li>
                                [{/foreach}]
                            </ul>
                        </td>
                    </tr>

                </table>
            </td>
        </tr>
    </tbody>
</table>

<script>
    function moStylePopup() {
        var helpContainer = document.getElementById('helpPanel');
        helpContainer.style.whiteSpace = 'pre';
        helpContainer.style.fontFamily = 'monospace';
        helpContainer.style.width = '100%';
    }
    
    window.onload = function()
    {
        var helpContainer = document.getElementById('helpPanel');
        var closeButtonLeft = document.createElement('a');
        closeButtonLeft.href = "#";
        closeButtonLeft.className = "container-close";
        closeButtonLeft.style.position = 'absolute';
        closeButtonLeft.style.left = '6px';
        closeButtonLeft.style.top = '5px';
        closeButtonLeft.addEventListener('click', function(){YAHOO.oxid.help.helpTextPanel.hide();});
        helpContainer.appendChild(closeButtonLeft);
    }
</script>

[{include file="bottomnaviitem.tpl"}]

[{include file="bottomitem.tpl"}]
