<?php

/**
 * mo_viaebay__feed_article_ids
 * 
 * loads and handles synced articles from via
 * 
 * @version   $Id: mo_viaebay__feed_article_ids.php 139 2012-12-10 16:51:05Z $
 */

/**
 * loads and handles synced articles from via
 * 
 * @package   mo_viaebay
 * @extend mo_viaebay__feed 
 */
class mo_viaebay__feed_article_ids extends mo_viaebay__feed
{

  /**
   * load articles
   *
   * @param array $ids
   * @return array 
   */
  public function load($ids = array(), $options = array())
  {
    $articles = mo_viaebay__main::getInstance()->getInterface()->getArticleIds();
    $articles = $this->buildCollection($articles);

    //relations
    foreach ($articles as $article)
    {
      unset($article['__metadata']);
      $this->data[$article['Id']] = $article;
    }

    return $this->data;
  }

}