<?php

/**
 * mo_viaebay__category_viaebay
 * 
 * Provides some via eBay-specific functionality
 * 
 * @version   $Id: mo_viaebay__category_viaebay.php 217 2013-04-29 10:02:57Z $
 */

/**
 * Provides some via eBay-specific functionality
 * 
 * @package   mo_viaebay
 * @extend oxAdminDetails 
 */
class mo_viaebay__category_viaebay extends oxAdminDetails
{

    /**
     * set tpl vars
     * 
     * @extend render
     * @return string 
     */
    public function render()
    {
        parent::render();

        return 'mo_viaebay__category_viaebay.tpl';
    }

    /**
     * get edit object
     *
     * @return object 
     */
    public function mo_viaebay__getEditObject()
    {
        $oCategory = oxNew("oxcategory");
        $soxId = $this->getEditObjectId();

        if ($soxId != "-1" && isset($soxId)) {
            // load object
            $oCategory->load($soxId);
        }
        $aData['MO_VIAEBAY__VIA_ID'] = $oCategory->mo_viaebay__getCategory2viaField("mo_viaebay__via_id");
        $aData['MO_VIAEBAY__LAST_SYNC'] = $oCategory->mo_viaebay__getCategory2viaField("mo_viaebay__last_sync");
        $oCategory->assign($aData);
        return $oCategory;
    }

    /**
     * get edit language
     *
     * @return integer 
     */
    public function mo_viaebay__getEditLanguage()
    {
        return $this->_iEditLang;
    }

}
