<?php

/**
 * Description of mo_viaebay__articles2via
 *
 */
class mo_viaebay__articles2via extends oxBase
{
    protected $_sCoreTable = 'mo_viaebay__articles2via';
    protected $_blForceCoreTableUsage = true;
    protected $_blDisableShopCheck = false;
    protected $_blUseLazyLoading = false;
    protected $_aFieldNames = array(
        'oxid' => 0,
        'oxshopid' => 0,
        'oxartid' => 0,
        'mo_viaebay__via_id' => 0,
        'mo_viaebay__last_sync' => 0,
        'mo_viaebay__allow_export' => 0,
    );
    
    public function load($id)
    {
        $this->mo_viaebay__articles2via__oxshopid = new oxField($this->getConfig()->getShopId());
        $sql = $this->buildSelectString(array($this->getViewName() . '.oxartid' => $id));
        if (!$this->_isLoaded = $this->assignRecord($sql)) {
            $this->mo_viaebay__articles2via__oxartid = new oxField($id);
        }
        return $this->_isLoaded;
    }
    
    public function loadByViaId($viaId) 
    {
        $this->mo_viaebay__articles2via__oxshopid = new oxField($this->getConfig()->getShopId());
        $sql = $this->buildSelectString(array($this->getViewName() . '.mo_viaebay__via_id' => $viaId));
        return $this->_isLoaded = $this->assignRecord($sql);
    }
}
