<?php

/**
 * bootstrap
 * 
 * prepare sync
 * 
 * @package   mo_viaebay
 * @version   $Id: bootstrap.php 201M 2013-08-09 13:36:39Z (local) $ 
 */

if (defined('E_DEPRECATED'))
{
  error_reporting(E_ALL ^ E_NOTICE ^ E_DEPRECATED);
}
else
{
  error_reporting(E_ALL ^ E_NOTICE);
}

define('MO_VIAEBAY__IS_SCRIPT_CONTEXT', true);
define('MO_VIAEBAY__IS_BROWSER_CALL', isset($_SERVER['HTTP_HOST']));
define('OX_IS_ADMIN', true);

set_time_limit(300);

//set shop-id
if(!empty($argv[1]))
{
  $_GET['actshop'] = $argv[1];
}

include dirname(__FILE__) . '/../../../bootstrap.php';
$oxConfig = oxRegistry::getConfig();
//via cant using Image URLs in https, so we deactivate SSL
$oxConfig->setIsSsl(false);
$viaConfig = mo_viaebay__main::getInstance()->getViaebayConfig();

oxRegistry::getLang()->setBaseLanguage($viaConfig['export_language']);

//check if script is called via cli or browser => check settings

if (isset($_SERVER["REMOTE_ADDR"]) && ($_SERVER["REMOTE_ADDR"] != $_SERVER["SERVER_ADDR"]) && empty($viaConfig['allow_outer_script_access']))
{
  exit('Permission denied');
}

if(mo_viaebay__main::MO_VIAEBAY__CRON_CONTROL_IS_ACTIVE)
{
  $mo_viaebay__cron_control = oxNew('mo_viaebay__cron_control', '_' . $oxConfig->getShopId());
  if($mo_viaebay__cron_control->is_running)
  {
    exit;
  }
}

if(MO_VIAEBAY__IS_BROWSER_CALL)
{
  $oxViewConfig = oxRegistry::get('oxViewConfig');
  $oxConfig = oxRegistry::get('oxConfig');
  
  echo <<<OUTPUT
<html>
  <style>
    div {
      margin: 30px;
      padding: 10px 30px;
      font-family: monospace;
      font-size: 12px;
      border: 1px solid #e0e0e0;
      float: left;
      background: #f3f3f3;
    }
    #logo {
      display: block;
      margin: 0 0 10px 0;
    }
  
    #indicator {
      float: right;
    }
  </style>
  <body onload="document.getElementById('indicator').style.display = 'none';">
    <div>
      <img src="{$oxConfig->getShopMainUrl()}modules/mo_viaebay/views/admin/img/indicator.gif" id="indicator" />
      <img src="{$oxConfig->getShopMainUrl()}modules/mo_viaebay/logo.png" id="logo" />
      <h1>Synchronisations-Protokoll</h1>
OUTPUT;
       
  function mo_viaebay__shutdown()
  {
    echo '</div></body></html>';
  }
  register_shutdown_function('mo_viaebay__shutdown');
}