<?php

/**
 * mo_viaebay__sync_categories
 * 
 * script that syncs categories with via api
 * 
 * @package   mo_viaebay
 * @version   $Id: mo_viaebay__sync_categories.php 137 2012-12-07 17:09:35Z $ 
 */

include_once dirname(__FILE__) . '/bootstrap.php';

$logger = mo_viaebay__main::getInstance()->getLogger();
$logger->info('Sync-Manager: executing task sync_categories');

try
{
  //get local list
  $oxCategoryList = oxNew('oxcategorylist');
  $oxCategoryList->mo_viaebay__getList();

  $syncManager = mo_viaebay__main::getInstance()->getSyncManager('categories');


  foreach ($oxCategoryList as $category)
  {
    $syncManager->syncObject($category);
  }

  $syncManager->deleteAsyncData();

  mo_viaebay__main::getInstance()->getTaskManager()->markTaskAsFinished('sync_categories');
}
catch (oxException $oEx)
{
  $logger->error($oEx->getMessage());
}

$logger->info('Sync-Manager: finished task sync_categories');